% definindo o sistema de EDO's
F = @(s,z) Exemplo(s,z);

% condicoes iniciais
dy = 0.05;     % passo no valor inicial de x'
yi = 0.5;      % valor mínimo de x' inicial
yf = 1.5;      % valor máximo de x' inicial


% parametros de resolucao
t0 = 0;        % tempo inicial
tf = 5;       % tempo final
h = 0.01;      % passo inicial de integracao
Tol = 1e-5;    % erro maximo tolerado

figure;

% aplicando o metodo RKF45
z0=[-1,1];     % condição inicial

[t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(t,z(:,1))
  hold on

% aplicando o metodo RKF45
z0=[0,2];     % condição inicial

[t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(t,z(:,1))
  hold on

  % aplicando o metodo RKF45
z0=[2,1];     % condição inicial

[t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(t,z(:,1))
  hold on
